package com.dsk.search.controller;

import com.alibaba.fastjson2.JSONObject;
import com.dsk.common.core.domain.AjaxResult;
import com.dsk.jsk.domain.bo.ComposeQueryDto;
import com.dsk.search.service.BusinessOpportunityRadarService;
import com.dsk.search.service.ExportService;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;

import javax.annotation.Resource;


/**
 * 查企业
 * @author lc
 * @ClassName ExportController
 * @Date 2023/12/06 16:40
 */
@RequestMapping("/export")
@RestController
public class ExportController {


    @Resource
    private ExportService exportService;

    /*
     * 批量资质导出
     */
    @RequestMapping("/aptitude/file")
    public AjaxResult aptitudeFile(@RequestPart("file") MultipartFile file) throws Exception {
        return exportService.aptitudeFile(file);
    }

}
